%define _CMAKE_INSTALL_PREFIX \\/usr
%define _POSTSRSD postsrsd
%define _PROJECT_NAME postsrsd
%define _CHROOT_DIR \\/var\\/lib\\/postsrsd
%define _CONFIG_DIR \\/etc\\/sysconfig  
 
Name:         postsrsd
Version:      1.3
Release:      1%{?dist}
Summary:      PostSRSd provides the Sender Rewriting Scheme (SRS) via TCP-based lookup tables for Postfix.
 
Group:        System Environment/Daemons
Packager :    Django <django@mailserver.guru>
Distribution: CentOS 7

License: GPL
URL: https://github.com/roehling/%{name}/archive/%{version}.tar.gz
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
 
BuildRequires: cmake make gcc
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires: postfix systemd
 
%description
PostSRSd provides the Sender Rewriting Scheme (SRS) via TCP-based
lookup tables for Postfix. SRS is needed if your mail server acts
as forwarder.
 
%prep
%setup -q -n %{name}-%{version}
 
 
%build
%{__rm} makefile
#cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DINIT_FLAVOR=sysv-redhat -DGENERATE_SRS_SECRET=OFF -DSYSCONF_DIR=%{_sysconfdir} -DCONFIG_DIR=%{_sysconfdir}/sysconfig -DCHROOT_DIR=%{_var}/lib/%{name} -DDOC_DIR=/usr/share/doc/%{name}-%{version}
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr -DINIT_FLAVOR=auto-dedect -DGENERATE_SRS_SECRET=OFF -DSYSCONF_DIR=%{_sysconfdir} -DCONFIG_DIR=%{_sysconfdir}/sysconfig -DCHROOT_DIR=%{_var}/lib/%{name} -DDOC_DIR=/usr/share/doc/%{name}-%{version}
 
%install
make install DESTDIR=%{buildroot}
install -m 755 -d %{buildroot}/usr/lib/systemd/system/
install -m 755 postsrsd.systemd %{buildroot}/usr/lib/systemd/system/postsrsd.service 
%clean
%{__rm} -rf %{buildroot}
 
 
%files
%defattr(-,root,root,-)
%doc README.md main.cf.ex
#%{_initrddir}/%{name}
%{_sbindir}/%{name}
%config %{_sysconfdir}/sysconfig/%{name}
%dir %{_var}/lib/%{name}
%attr(700, nobody, nobody) %{_var}/lib/%{name}
%attr(0644, root, root) /usr/lib/systemd/system/postsrsd.service 

 
%pre
if [ ! -f "%{_sysconfdir}/postsrsd.secret" ]; then
  umask 077
  dd if=/dev/urandom bs=18 count=1 status=noxfer 2> /dev/null | base64 > %{_sysconfdir}/postsrsd.secret
  %{__chmod} 0600 %{_sysconfdir}/postsrsd.secret
fi
 
 
%post
#chkconfig --add %{name}
#chkconfig %{name} on
 
 
%postun
if [ -f "%{_sysconfdir}/postsrsd.secret" ]; then
rm -f "%{_sysconfdir}/postsrsd.secret"
fi
 
 
%changelog
* Mon Dec 19 2015 Django <django@nausch.org> 1.3.1-1
- update release

* Wed Dec 3 2014 Django <django@nausch.org> 1.0.1-1
- initial release for CentOS 7
